Skip to main content
DELETE
/
namespaces
/
{name}
JavaScript
import Smithery from '@smithery/api';

const client = new Smithery({
  apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});

const namespace = await client.namespaces.delete('xxx');

console.log(namespace.name);
curl --request DELETE \
--url https://api.smithery.ai/namespaces/{name} \
--header 'Authorization: Bearer <token>'
import requests

url = "https://api.smithery.ai/namespaces/{name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)


{
  "success": true,
  "name": "myorg"
}
{
"error": "Unauthorized"
}
{
"error": "Unauthorized"
}
{
"error": "Unauthorized"
}
{
"error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

name
string
required
Required string length: 3 - 39

Response

Namespace deleted successfully

success
boolean
required
name
string
required
Example:

"myorg"